Package org.sunflow.system

# Interface BenchmarkTest

All Known Implementing Classes:
  `Benchmark`

public interface BenchmarkTest
This interface is used to represent a piece of code which is to be benchmarked by repeatedly running and timing the kernel code. The begin/end routines are called per-iteration to do any local initialization which is not meant to be taken into acount in the timing (like preparing or destroying data structures).

## Method Summary

Modifier and Type
Method
Description
`void`
`kernelBegin()`
`void`
`kernelEnd()`
`void`
`kernelMain()`

## Method Details

### kernelBegin

void kernelBegin()

### kernelMain

void kernelMain()

### kernelEnd

void kernelEnd()